<ion-view view-title="Profile" cache-view="false">
    <ion-nav-buttons side="left">
              <button ng-click="goBackFromProfile()" class="button icon-left ion-chevron-left button-clear header-btn">
                   Back
              </button>
        
        
    </ion-nav-buttons>
    
    <ion-nav-buttons side="right">
              <button ng-click="unfollow()" ng-if="feedprofile.showunfollowbutton" class="button icon-left ion-minus-circled button-clear header-btn">
                        
                      </button>      
        <button ng-click="addfollowing();" ng-if="feedprofile.showfollowbutton" class="button icon-left ion-person-add button-clear header-btn">
                          
                      </button>
    </ion-nav-buttons>

    <ion-content>
        <div id="content" class="balanced-bg"> <div id="profile-info">
                <img id="profile-image" fallback-src="img/emptyavatar.jpg" ng-src="{{pofilepic_baseurl}}{{feedprofile.user_profile.profile_pic}}">
                <h3 id="profile-name">{{feedprofile.user_profile.name}} </h3> 
               
                
                <div class="row">
                    <div class="col">
                        <button class="button button-outline button-light width-100">
                            {{feedprofile.followerscount}}
                        </button>
                    </div>
                    <div class="col"><button class="button button-outline button-light width-100">
                            {{feedprofile.followingcount}}
                        </button>
                    </div>
                </div>

                <div class="row">
                    <div class="col">
                        <button class="button button-outline button-light width-100">
                            {{feedprofile.postcount}}
                        </button>
                    </div>
                    <div class="col"><button ui-sref="photogallery({ fromprofile: 'no', userid:feedprofile.user_profile.userid })" class="button button-outline button-light width-100">
                            {{feedprofile.photocount}}
                        </button>
                    </div>
                </div>
            </div></div>


        <div class="list card" ng-repeat="feed in feeds" style="display: none;">
            <div class="item item-avatar feed-header item-icon-right">
                <img fallback-src="img/emptyavatar.jpg" ng-src="{{pofilepic_baseurl}}{{feed.user_photo| randomSrc}}">
                <h2>{{feed.user_name}}</h2> 
                <p>{{feed.post_date}} </p>
                <h2 ng-show="feed.location">
                    At - {{feed.location}} 
                </h2>
                <!--<i class="icon ion-ios-flag-outline"></i>-->
            </div>
            <div class="item item-body">
                <p>
                    {{feed.post_text}} 
                </p>
                <ion-slide-box>
                    <ion-slide ng-repeat="image in feed.photos" >
                        <div class="feed-images-wrapper" style="background-image: url({{photo_baseurl}}{{image.photoname}});"> </div>
                    </ion-slide>
                </ion-slide-box>

            </div>
            <div class="item item-divider"> <p>

                    <i class="icon ion-thumbsup" ng-class="{'balanced': feed.selflike}"></i> <a ng-class="{'balanced': feed.selflike}" ng-click="likeFeed({{feed.post_id}},$index)" href="#" class="subdued"> {{feed.post_likescount}} </a>
                    <i class="icon ion-chatbox"></i><a href="#" ng-click="showcomments(feed.comments, feed.post_id, $index)" class="subdued"> {{feed.post_commentscount}}</a></p>

            </div>
        </div>
    </ion-content>
</ion-view>
